Loading...
Searching...
No Matches
bsoncxx::types::b_symbol Struct Reference

`#include <bsoncxx/v_noabi/bsoncxx/types.hpp>`

## Description

A BSON Symbol value.

Deprecated
  This BSON type is deprecated. Usage is discouraged.

## Public Member Functions

template<typename T, detail::requires_not_t< int, detail::is_alike< b_symbol, T > > = 0>
| b_symbol (T &&t)
| Constructor for b_symbol.
| operator stdx::string_view () const
| Conversion operator unwrapping a string_view.

## Related Symbols

(Note that these are not member symbols.)
bool | operator!= (b_symbol const &lhs, b_symbol const &rhs)
| free function comparator for b_symbol
bool | operator== (b_symbol const &lhs, b_symbol const &rhs)
| free function comparator for b_symbol

## Constructor & Destructor Documentation

## b_symbol()

template<typename T, detail::requires_not_t< int, detail::is_alike< b_symbol, T > > = 0>

bsoncxx::v_noabi::types::b_symbol::b_symbol | ( | T && | t | ) |

inline explicit

Constructor for b_symbol.

Parameters

  t | The symbol.

## Member Function Documentation

## operator stdx::string_view()

bsoncxx::v_noabi::types::b_symbol::operator stdx::string_view | ( |  | ) | const

inline

Conversion operator unwrapping a string_view.

## Friends And Related Symbol Documentation

## operator!=()

bool operator!= | ( | b_symbol const & | lhs,
|  | b_symbol const & | rhs )

related

free function comparator for b_symbol

## operator==()

bool operator== | ( | b_symbol const & | lhs,
|  | b_symbol const & | rhs )

related

free function comparator for b_symbol

The documentation for this struct was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/types.hpp